Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.ws
Interface Provider<T>

    public interface Provider<T>

Service endpoints may implement the `Provider` interface as a dynamic alternative to an SEI.

Implementations are required to support `Provider<Source>`, `Provider<SOAPMessage>` and `Provider<DataSource>`, depending on the binding in use and the service mode.

The `ServiceMode` annotation can be used to control whether the `Provider` instance will receive entire protocol messages or just message payloads.

Since:
  JAX-WS 2.0
See Also:
  `Source`, `SOAPMessage`, `ServiceMode`

Method Summary
`T` | `invoke(T request)` Invokes an operation occording to the contents of the request message.

Method Detail

### invoke

    T invoke(T request)

  Invokes an operation occording to the contents of the request message.

  Parameters:
    `request` - The request message or message payload.
  Returns:
    The response message or message payload. May be `null` if there is no response.
  Throws:
    `WebServiceException` - If there is an error processing request. The cause of the `WebServiceException` may be set to a subclass of `ProtocolException` to control the protocol level representation of the exception.
  See Also:
    `MessageContext`, `ProtocolException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.